/*   
Ec    Copyright (C)   2001 Marc Dechico

 ec_simu.h: Engine use to explore the tree game  and collect data.
   
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 To contact the author:	Marc Dechico
 Kerfring
 29390 SCAER France
 tel: 06 80 83 74 99
 Mail: ec@dechico.com 
    
*/

#include "ec_global.h"

/* datas */
struct st_pie ts_pie_0[18];			/* pece camp 0			*/
struct st_pie ts_pie_1[18];			/* piece camp 1			*/

/* tableau pointant sur piece camp 0 ou 1 */
struct st_pie *tpts_pie[2];			/* poste 0 camp 0, 1 camp 1 */

/* tableau touver ID piece roi camp [0/1] */
int Id_roi[2];

/* tableau pour trouver position du roi à partir du camp */
int *pts_pie_pos_Roi[2];

/* tableau echiquier acces par l'emplacement  */
struct st_ech ts_ech[100];

/* tableau historique des coups */
 struct st_hst_pro ts_hst_pro[PRO_HST];

/* Tableau donnant l'ID de la tour suivant le roc et le cam */
int ti_tou_cam_typ[2][2];        /* Camp: NOIR/BLANC Typ GRA_ROC/PET_ROC */


/* Variables globales */
e_yes_no    e_aff_not_pos;                      /* =1 si affichage note possible */
e_yes_no    e_aff_cal_cou;			/* = 1 si affichage calcul en cour */
int         i_pro_act;                          /* profondeur actuelle	*/
int         i_pro_sim_niv;			/* niveau de simulation */
int         i_pro_sim_inc;			/* nivde simu pour increment*/
int         i_pro_sim_act;             		/* profondeur de simulation 		*/
int         i_pro_sim_max_sup;         		/* profondeur maximale superieur 	*/
int         i_pro_sim_max_inf;         		/* profondeur maximale inferieur	*/
int         i_pro_sim_max_inf;         		/* profondeur maximale inferieur	*/
int         i_pro_sim_int_cla;         		/* profondeur d'interruption clavier*/
e_yes_no    e_sto_sim_cla;			/* si = 1 CTL C pendant simulation-> arret simu */
e_yes_no    e_sim_end;				/* si = 1 fin de simulation 		*/
int         i_not_cpt_mvt_ini;			/* note: compteur mvt initial 		*/
struct      st_hst_pro	*pts_hst_pro; 	        /* ptr sur tableau structure historique  */
struct      st_hst_pro	*pts_hst_pro_p;         /* ptr sur tableau structure historique  */
struct      st_pie  	*pts_pie;      	        /* ptr sur tbl structure piece principale*/
int         i_big_adv;                          /* Raport de force initial  - (fou + tou)       */ 
                                                /* Si >0 l'avantage est + grd qu'un fou et une toure */

/*Variable de travail locale du module  */
static struct st_pie    	*pts_pie_sui;    /* ptr sur tbl struct piece suivante 	 */
static struct st_pie  		*pts_pie_pri;    /* ptr sur tbl struct piece prise    	 */
static struct st_pie  		*pts_pie_tou_roc;/* ptr sur tbl struct piece tour roc	 */
static struct st_pie  		*pts_pie_pre_pri;/* ptr tbl struct piece (prec. prise)   */
static struct st_pie  		*pts_pie_sui_pri;/* ptr tableau struct piece (suive prise)*/




